1 Reply Latest reply: Aug 3, 2010 2:59 AM by Jolly Giant
jkuoppam Level 1 Level 1 (0 points)
I have a first generation iPod Touch running iOS version 2.2.1, and the most recent iTunes 9.2.1 running on Windows 7.

When I click "Check version" on iTunes it says that 2.2.1 is the latest version and that my iPod is up to date. I realize 1st generation iPod Touches are not supported with iOS 4 but I'd like to upgrade to 3.x since more and more apps require that to work.

Is this a bug in Apple's part or am I not allowed to upgrade to 3.x anymore?

iPod Touch 1st Generation, Windows 7, iTunes 9.2.1